import json
import markupsafe


def load_sri_map(path):
    """Load the SRI map generated by generator.py."""
    with open(path) as fd:
        return json.load(fd)


def init_sri(app, sri_map):
    app.sri_map = sri_map

    @app.template_filter('sri_tag')
    def _sri_tag(s):
        if s in app.sri_map:
            return markupsafe.Markup(
                f' integrity="{app.sri_map[s]}"')
        return ''
